ApiYarnApplication (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiYarnApplication

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiYarnApplication

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiYarnApplication
      extends Object

  Represents a Yarn application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiYarnApplication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiYarnApplication` | `addApplicationTagsItem(String applicationTagsItem)`
    `ApiYarnApplication` | `allocatedMB(BigDecimal allocatedMB)`
    `ApiYarnApplication` | `allocatedMemorySeconds(BigDecimal allocatedMemorySeconds)`
    `ApiYarnApplication` | `allocatedVCores(BigDecimal allocatedVCores)`
    `ApiYarnApplication` | `allocatedVcoreSeconds(BigDecimal allocatedVcoreSeconds)`
    `ApiYarnApplication` | `applicationId(String applicationId)`
    `ApiYarnApplication` | `applicationTags(List<String> applicationTags)`
    `ApiYarnApplication` | `attributes(Map<String,String> attributes)`
    `ApiYarnApplication` | `containerAllocatedMemorySeconds(BigDecimal containerAllocatedMemorySeconds)`
    `ApiYarnApplication` | `containerAllocatedVcoreSeconds(BigDecimal containerAllocatedVcoreSeconds)`
    `ApiYarnApplication` | `containerUsedCpuSeconds(BigDecimal containerUsedCpuSeconds)`
    `ApiYarnApplication` | `containerUsedMemoryMax(BigDecimal containerUsedMemoryMax)`
    `ApiYarnApplication` | `containerUsedMemorySeconds(BigDecimal containerUsedMemorySeconds)`
    `ApiYarnApplication` | `containerUsedVcoreSeconds(BigDecimal containerUsedVcoreSeconds)`
    `ApiYarnApplication` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getAllocatedMB()` The sum of memory in MB allocated to the application's running containers Available since v12.
    `BigDecimal` | `getAllocatedMemorySeconds()` Allocated memory to the application in units of mb-secs.
    `BigDecimal` | `getAllocatedVCores()` The sum of virtual cores allocated to the application's running containers Available since v12.
    `BigDecimal` | `getAllocatedVcoreSeconds()` Allocated vcore-secs to the application.
    `String` | `getApplicationId()` The application id.
    `List<String>` | `getApplicationTags()` List of YARN application tags.
    `Map<String,String>` | `getAttributes()` A map of additional application attributes which is generated by Cloudera Manager.
    `BigDecimal` | `getContainerAllocatedMemorySeconds()` Total memory (in mb-secs) allocated to containers launched by the YARN application.
    `BigDecimal` | `getContainerAllocatedVcoreSeconds()` Total vcore-secs allocated to containers launched by the YARN application.
    `BigDecimal` | `getContainerUsedCpuSeconds()` Actual CPU (in percent-secs) used by containers launched by the YARN application.
    `BigDecimal` | `getContainerUsedMemoryMax()` Maximum memory used by containers launched by the YARN application.
    `BigDecimal` | `getContainerUsedMemorySeconds()` Actual memory (in MB-secs) used by containers launched by the YARN application.
    `BigDecimal` | `getContainerUsedVcoreSeconds()` Actual VCore-secs used by containers launched by the YARN application.
    `String` | `getEndTime()` The time the application finished.
    `ApiMr2AppInformation` | `getMr2AppInformation()`
    `String` | `getName()` The name of the application.
    `String` | `getPool()` The pool the application was submitted to.
    `BigDecimal` | `getProgress()` The progress, as a percentage, the application has made.
    `BigDecimal` | `getRunningContainers()` The number of containers currently running for the application Available since v12.
    `String` | `getStartTime()` The time the application was submitted.
    `String` | `getState()`
    `String` | `getUser()` The user who submitted the application.
    `int` | `hashCode()`
    `ApiYarnApplication` | `mr2AppInformation(ApiMr2AppInformation mr2AppInformation)`
    `ApiYarnApplication` | `name(String name)`
    `ApiYarnApplication` | `pool(String pool)`
    `ApiYarnApplication` | `progress(BigDecimal progress)`
    `ApiYarnApplication` | `putAttributesItem(String key, String attributesItem)`
    `ApiYarnApplication` | `runningContainers(BigDecimal runningContainers)`
    `void` | `setAllocatedMB(BigDecimal allocatedMB)`
    `void` | `setAllocatedMemorySeconds(BigDecimal allocatedMemorySeconds)`
    `void` | `setAllocatedVCores(BigDecimal allocatedVCores)`
    `void` | `setAllocatedVcoreSeconds(BigDecimal allocatedVcoreSeconds)`
    `void` | `setApplicationId(String applicationId)`
    `void` | `setApplicationTags(List<String> applicationTags)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setContainerAllocatedMemorySeconds(BigDecimal containerAllocatedMemorySeconds)`
    `void` | `setContainerAllocatedVcoreSeconds(BigDecimal containerAllocatedVcoreSeconds)`
    `void` | `setContainerUsedCpuSeconds(BigDecimal containerUsedCpuSeconds)`
    `void` | `setContainerUsedMemoryMax(BigDecimal containerUsedMemoryMax)`
    `void` | `setContainerUsedMemorySeconds(BigDecimal containerUsedMemorySeconds)`
    `void` | `setContainerUsedVcoreSeconds(BigDecimal containerUsedVcoreSeconds)`
    `void` | `setEndTime(String endTime)`
    `void` | `setMr2AppInformation(ApiMr2AppInformation mr2AppInformation)`
    `void` | `setName(String name)`
    `void` | `setPool(String pool)`
    `void` | `setProgress(BigDecimal progress)`
    `void` | `setRunningContainers(BigDecimal runningContainers)`
    `void` | `setStartTime(String startTime)`
    `void` | `setState(String state)`
    `void` | `setUser(String user)`
    `ApiYarnApplication` | `startTime(String startTime)`
    `ApiYarnApplication` | `state(String state)`
    `String` | `toString()`
    `ApiYarnApplication` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiYarnApplication

          public ApiYarnApplication()

  - ### Method Detail

    - #### allocatedMB

          public ApiYarnApplication allocatedMB(BigDecimal allocatedMB)

    - #### getAllocatedMB

          public BigDecimal getAllocatedMB()

      The sum of memory in MB allocated to the application's running containers Available since v12.
      Returns:
        allocatedMB

    - #### setAllocatedMB

          public void setAllocatedMB(BigDecimal allocatedMB)

    - #### allocatedVCores

          public ApiYarnApplication allocatedVCores(BigDecimal allocatedVCores)

    - #### getAllocatedVCores

          public BigDecimal getAllocatedVCores()

      The sum of virtual cores allocated to the application's running containers Available since v12.
      Returns:
        allocatedVCores

    - #### setAllocatedVCores

          public void setAllocatedVCores(BigDecimal allocatedVCores)

    - #### runningContainers

          public ApiYarnApplication runningContainers(BigDecimal runningContainers)

    - #### getRunningContainers

          public BigDecimal getRunningContainers()

      The number of containers currently running for the application Available since v12.
      Returns:
        runningContainers

    - #### setRunningContainers

          public void setRunningContainers(BigDecimal runningContainers)

    - #### applicationTags

          public ApiYarnApplication applicationTags(List<String> applicationTags)

    - #### addApplicationTagsItem

          public ApiYarnApplication addApplicationTagsItem(String applicationTagsItem)

    - #### getApplicationTags

          public List<String> getApplicationTags()

      List of YARN application tags. Available since v12.
      Returns:
        applicationTags

    - #### setApplicationTags

          public void setApplicationTags(List<String> applicationTags)

    - #### allocatedMemorySeconds

          public ApiYarnApplication allocatedMemorySeconds(BigDecimal allocatedMemorySeconds)

    - #### getAllocatedMemorySeconds

          public BigDecimal getAllocatedMemorySeconds()

      Allocated memory to the application in units of mb-secs. Available since v12.
      Returns:
        allocatedMemorySeconds

    - #### setAllocatedMemorySeconds

          public void setAllocatedMemorySeconds(BigDecimal allocatedMemorySeconds)

    - #### allocatedVcoreSeconds

          public ApiYarnApplication allocatedVcoreSeconds(BigDecimal allocatedVcoreSeconds)

    - #### getAllocatedVcoreSeconds

          public BigDecimal getAllocatedVcoreSeconds()

      Allocated vcore-secs to the application. Available since v12.
      Returns:
        allocatedVcoreSeconds

    - #### setAllocatedVcoreSeconds

          public void setAllocatedVcoreSeconds(BigDecimal allocatedVcoreSeconds)

    - #### applicationId

          public ApiYarnApplication applicationId(String applicationId)

    - #### getApplicationId

          public String getApplicationId()

      The application id.
      Returns:
        applicationId

    - #### setApplicationId

          public void setApplicationId(String applicationId)

    - #### name

          public ApiYarnApplication name(String name)

    - #### getName

          public String getName()

      The name of the application.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### startTime

          public ApiYarnApplication startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The time the application was submitted.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiYarnApplication endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The time the application finished. If the application hasn't finished this will return null.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### user

          public ApiYarnApplication user(String user)

    - #### getUser

          public String getUser()

      The user who submitted the application.
      Returns:
        user

    - #### setUser

          public void setUser(String user)

    - #### pool

          public ApiYarnApplication pool(String pool)

    - #### getPool

          public String getPool()

      The pool the application was submitted to.
      Returns:
        pool

    - #### setPool

          public void setPool(String pool)

    - #### progress

          public ApiYarnApplication progress(BigDecimal progress)

    - #### getProgress

          public BigDecimal getProgress()

      The progress, as a percentage, the application has made. This is only set if the application is currently executing.
      Returns:
        progress

    - #### setProgress

          public void setProgress(BigDecimal progress)

    - #### attributes

          public ApiYarnApplication attributes(Map<String,String> attributes)

    - #### putAttributesItem

          public ApiYarnApplication putAttributesItem(String key,
                                                      String attributesItem)

    - #### getAttributes

          public Map<String,String> getAttributes()

      A map of additional application attributes which is generated by Cloudera Manager. For example MR2 job counters are exposed as key/value pairs here. For more details see the Cloudera Manager documentation.
      Returns:
        attributes

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### mr2AppInformation

          public ApiYarnApplication mr2AppInformation(ApiMr2AppInformation mr2AppInformation)

    - #### getMr2AppInformation

          public ApiMr2AppInformation getMr2AppInformation()

      Returns:
        mr2AppInformation

    - #### setMr2AppInformation

          public void setMr2AppInformation(ApiMr2AppInformation mr2AppInformation)

    - #### state

          public ApiYarnApplication state(String state)

    - #### getState

          public String getState()

      Returns:
        state

    - #### setState

          public void setState(String state)

    - #### containerUsedMemorySeconds

          public ApiYarnApplication containerUsedMemorySeconds(BigDecimal containerUsedMemorySeconds)

    - #### getContainerUsedMemorySeconds

          public BigDecimal getContainerUsedMemorySeconds()

      Actual memory (in MB-secs) used by containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics. Available since v12.
      Returns:
        containerUsedMemorySeconds

    - #### setContainerUsedMemorySeconds

          public void setContainerUsedMemorySeconds(BigDecimal containerUsedMemorySeconds)

    - #### containerUsedMemoryMax

          public ApiYarnApplication containerUsedMemoryMax(BigDecimal containerUsedMemoryMax)

    - #### getContainerUsedMemoryMax

          public BigDecimal getContainerUsedMemoryMax()

      Maximum memory used by containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics Available since v16
      Returns:
        containerUsedMemoryMax

    - #### setContainerUsedMemoryMax

          public void setContainerUsedMemoryMax(BigDecimal containerUsedMemoryMax)

    - #### containerUsedCpuSeconds

          public ApiYarnApplication containerUsedCpuSeconds(BigDecimal containerUsedCpuSeconds)

    - #### getContainerUsedCpuSeconds

          public BigDecimal getContainerUsedCpuSeconds()

      Actual CPU (in percent-secs) used by containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics. Available since v12.
      Returns:
        containerUsedCpuSeconds

    - #### setContainerUsedCpuSeconds

          public void setContainerUsedCpuSeconds(BigDecimal containerUsedCpuSeconds)

    - #### containerUsedVcoreSeconds

          public ApiYarnApplication containerUsedVcoreSeconds(BigDecimal containerUsedVcoreSeconds)

    - #### getContainerUsedVcoreSeconds

          public BigDecimal getContainerUsedVcoreSeconds()

      Actual VCore-secs used by containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics. Available since v12.
      Returns:
        containerUsedVcoreSeconds

    - #### setContainerUsedVcoreSeconds

          public void setContainerUsedVcoreSeconds(BigDecimal containerUsedVcoreSeconds)

    - #### containerAllocatedMemorySeconds

          public ApiYarnApplication containerAllocatedMemorySeconds(BigDecimal containerAllocatedMemorySeconds)

    - #### getContainerAllocatedMemorySeconds

          public BigDecimal getContainerAllocatedMemorySeconds()

      Total memory (in mb-secs) allocated to containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics. Available since v12.
      Returns:
        containerAllocatedMemorySeconds

    - #### setContainerAllocatedMemorySeconds

          public void setContainerAllocatedMemorySeconds(BigDecimal containerAllocatedMemorySeconds)

    - #### containerAllocatedVcoreSeconds

          public ApiYarnApplication containerAllocatedVcoreSeconds(BigDecimal containerAllocatedVcoreSeconds)

    - #### getContainerAllocatedVcoreSeconds

          public BigDecimal getContainerAllocatedVcoreSeconds()

      Total vcore-secs allocated to containers launched by the YARN application. Computed by running a MapReduce job from Cloudera Service Monitor to aggregate YARN usage metrics. Available since v12.
      Returns:
        containerAllocatedVcoreSeconds

    - #### setContainerAllocatedVcoreSeconds

          public void setContainerAllocatedVcoreSeconds(BigDecimal containerAllocatedVcoreSeconds)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.